Skip to main content
DELETE
/
ip_connections
/
{id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const ipConnection = await client.ipConnections.delete('id');

console.log(ipConnection.data);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
ip_connection = client.ip_connections.delete(
"id",
)
print(ip_connection.data)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
ipConnection, err := client.IPConnections.Delete(context.TODO(), "id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", ipConnection.Data)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ipconnections.IpConnectionDeleteParams;
import com.telnyx.sdk.models.ipconnections.IpConnectionDeleteResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

IpConnectionDeleteResponse ipConnection = client.ipConnections().delete("id");
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

ip_connection = telnyx.ip_connections.delete("id")

puts(ip_connection)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$ipConnection = $client->ipConnections->delete('id');

var_dump($ipConnection);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx ip-connections delete \
--api-key 'My API Key' \
--id id
curl --request DELETE \
--url https://api.telnyx.com/v2/ip_connections/{id} \
--header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
    "record_type": "ip_connection",
    "active": true,
    "anchorsite_override": "Latency",
    "connection_name": "string",
    "transport_protocol": "UDP",
    "default_on_hold_comfort_noise_enabled": true,
    "dtmf_type": "RFC 2833",
    "encode_contact_header_enabled": true,
    "encrypted_media": "SRTP",
    "onnet_t38_passthrough_enabled": true,
    "ios_push_credential_id": "ec0c8e5d-439e-4620-a0c1-9d9c8d02a836",
    "android_push_credential_id": "06b09dfd-7154-4980-8b75-cebf7a9d4f8e",
    "webhook_event_url": "https://example.com",
    "webhook_event_failover_url": "https://failover.example.com",
    "webhook_api_version": "1",
    "webhook_timeout_secs": 25,
    "call_cost_in_webhooks": true,
    "rtcp_settings": {
      "port": "rtcp-mux",
      "capture_enabled": true,
      "report_frequency_secs": 10
    },
    "tags": [
      "tag1",
      "tag2"
    ],
    "created_at": "2018-02-02T22:25:27.521Z",
    "updated_at": "2018-02-02T22:25:27.521Z",
    "inbound": {
      "ani_number_format": "+E.164",
      "dnis_number_format": "+e164",
      "codecs": [
        "G722"
      ],
      "default_primary_ip_id": "192.0.2.1",
      "default_secondary_ip_id": "198.51.100.1",
      "default_tertiary_ip_id": "203.0.113.1",
      "default_routing_method": "sequential",
      "channel_limit": 10,
      "generate_ringback_tone": true,
      "isup_headers_enabled": true,
      "prack_enabled": true,
      "sip_compact_headers_enabled": true,
      "sip_region": "US",
      "sip_subdomain": "string",
      "sip_subdomain_receive_settings": "only_my_connections",
      "timeout_1xx_secs": 10,
      "timeout_2xx_secs": 10,
      "shaken_stir_enabled": true
    },
    "outbound": {
      "call_parking_enabled": true,
      "ani_override": "string",
      "ani_override_type": "always",
      "channel_limit": 10,
      "instant_ringback_enabled": true,
      "generate_ringback_tone": true,
      "localization": "string",
      "t38_reinvite_source": "customer",
      "tech_prefix": "string",
      "ip_authentication_method": "token",
      "ip_authentication_token": "string",
      "outbound_voice_profile_id": "1293384261075731499"
    },
    "noise_suppression": "both",
    "noise_suppression_details": {
      "engine": "deep_filter_net",
      "attenuation_limit": 80
    },
    "jitter_buffer": {
      "enable_jitter_buffer": true,
      "jitterbuffer_msec_min": 60,
      "jitterbuffer_msec_max": 200
    }
  }
}
{
"errors": [
{
"code": "10015",
"title": "Bad Request",
"detail": "The request failed because it was not well-formed.",
"source": {
"pointer": "/"
},
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10015"
}
}
]
}
{
"errors": [
{
"code": "10009",
"title": "Authentication failed",
"detail": "Could not understand the provided credentials.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10009"
}
}
]
}
{
"errors": [
{
"code": "10010",
"title": "Not authorized",
"detail": "You are not authorized to access the requested resource.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10010"
},
"source": {
"pointer": "/"
}
}
]
}
{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "The requested resource or URL could not be found.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10005"
},
"source": {
"pointer": "/"
}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Identifies the type of resource.

Response

Successful response with details about an IP connection.

data
Ip Connection · object
Example:
{
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "ip_connection",
"active": true,
"anchorsite_override": "Latency",
"connection_name": "string",
"transport_protocol": "UDP",
"default_on_hold_comfort_noise_enabled": true,
"dtmf_type": "RFC 2833",
"encode_contact_header_enabled": true,
"encrypted_media": "SRTP",
"onnet_t38_passthrough_enabled": true,
"ios_push_credential_id": "ec0c8e5d-439e-4620-a0c1-9d9c8d02a836",
"android_push_credential_id": "06b09dfd-7154-4980-8b75-cebf7a9d4f8e",
"webhook_event_url": "https://example.com",
"webhook_event_failover_url": "https://failover.example.com",
"webhook_api_version": "1",
"webhook_timeout_secs": 25,
"call_cost_in_webhooks": true,
"rtcp_settings": {
"port": "rtcp-mux",
"capture_enabled": true,
"report_frequency_secs": 10
},
"tags": ["tag1", "tag2"],
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z",
"inbound": {
"ani_number_format": "+E.164",
"dnis_number_format": "+e164",
"codecs": ["G722"],
"default_primary_ip_id": "192.0.2.1",
"default_secondary_ip_id": "198.51.100.1",
"default_tertiary_ip_id": "203.0.113.1",
"default_routing_method": "sequential",
"channel_limit": 10,
"generate_ringback_tone": true,
"isup_headers_enabled": true,
"prack_enabled": true,
"sip_compact_headers_enabled": true,
"sip_region": "US",
"sip_subdomain": "string",
"sip_subdomain_receive_settings": "only_my_connections",
"timeout_1xx_secs": 10,
"timeout_2xx_secs": 10,
"shaken_stir_enabled": true
},
"outbound": {
"call_parking_enabled": true,
"ani_override": "string",
"ani_override_type": "always",
"channel_limit": 10,
"instant_ringback_enabled": true,
"generate_ringback_tone": true,
"localization": "string",
"t38_reinvite_source": "customer",
"tech_prefix": "string",
"ip_authentication_method": "token",
"ip_authentication_token": "string",
"outbound_voice_profile_id": "1293384261075731499"
},
"noise_suppression": "both",
"noise_suppression_details": {
"engine": "deep_filter_net",
"attenuation_limit": 80
},
"jitter_buffer": {
"enable_jitter_buffer": true,
"jitterbuffer_msec_min": 60,
"jitterbuffer_msec_max": 200
}
}